@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
      [attr.data-test-element-id]="dropZoneId"
      [sqtmCoreDraggableDropZone]="dropZoneId"
      (drop)="dropIntoTestCase($event)"
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
          <sqtm-app-test-case-information-panel
            [customFieldData]="customFieldData"
            [testCaseViewComponentData]="componentData"
          >
          </sqtm-app-test-case-information-panel>
        </nz-collapse-panel>
        @if (componentData.testCase.kind !== 'EXPLORATORY') {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'automation'"
            [sqtmCoreAnchorCollapsePanel]="'automation'"
            [nzHeader]="automationTitle"
            [nzExtra]="transmitButton"
          >
            <ng-template #automationTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.test-case-workspace.title.automation' | translate
                }}
              </div>
            </ng-template>
            <sqtm-app-test-case-view-automation-panel
              [componentData]="componentData"
            >
            </sqtm-app-test-case-view-automation-panel>
          </nz-collapse-panel>
        }
        <ng-template #transmitButton>
          <div class="panel-buttons">
            @if (
              componentData.testCase.automatable === 'Y' &&
              componentData.permissions.canWrite &&
              componentData.projectData.allowAutomationWorkflow &&
              componentData.milestonesAllowModification &&
              respectNativeSimplifiedDisplayCondition(componentData)
            ) {
              <button
                class="no-border custom-loading-btn"
                nz-button
                nzType="link"
                nz-tooltip
                [nzLoading]="transmissionLoading$()"
                [nzTooltipTitle]="transmittedTooltipTitle$() | translate"
                [disabled]="isTransmitted$()"
                [attr.data-test-button-id]="'test-case-automation-transmit'"
                (click)="transmit(componentData.testCase.id, $event)"
              >
                @if (isTransmitted$()) {
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:confirm"
                    class="font-20-px current-workspace-button"
                    [attr.data-test-icon-id]="'transmitted'"
                  ></i>
                } @else {
                  <i
                    nz-icon
                    nzType="sqtm-core-test-case:transmit"
                    class="font-20-px current-workspace-button"
                    [attr.data-test-icon-id]="'transmit'"
                  ></i>
                }
              </button>
            }
          </div>
        </ng-template>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'verified-requirements'"
          [sqtmCoreAnchorCollapsePanel]="'verified-requirements'"
          [nzHeader]="verifiedTitle"
          [nzExtra]="coverageButtons"
          sqtmCoreAnchorLastPanel
          [isEffectiveLastPanel]="
            componentData.testCase.kind === 'GHERKIN' ||
            componentData.testCase.kind === 'EXPLORATORY'
          "
        >
          <ng-template #verifiedTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.test-case-workspace.title.coverages' | translate }}
            </div>
          </ng-template>
          <sqtm-app-coverage-table></sqtm-app-coverage-table>
        </nz-collapse-panel>
        <ng-template #coverageButtons>
          @if (componentData.permissions.canLink) {
            <div class="panel-buttons">
              <div (click)="toggleCoverageDrawer($event)">
                <i
                  [attr.data-test-icon-id]="'add-coverages'"
                  nz-icon
                  nzType="sqtm-core-generic:add"
                  nzTheme="outline"
                  class="current-workspace-button action-icon-size"
                >
                </i>
              </div>
              <div (click)="stopPropagation($event)">
                <i
                  [attr.data-test-icon-id]="'search-coverages'"
                  nz-icon
                  nzType="sqtm-core-tree:search"
                  nzTheme="outline"
                  class="current-workspace-button action-icon-size remove-chrome-router-link-border"
                  nz-tooltip="{{
                    'sqtm-core.test-case-workspace.coverages.search'
                      | translate
                      | capitalize
                  }}"
                  nzTooltipPlacement="topRight"
                  [routerLink]="[
                    '/search/requirement/coverage/',
                    componentData.testCase.id
                  ]"
                  [queryParams]="
                    createSearchRequirementQueryParams(componentData)
                  "
                >
                </i>
              </div>
              <div (click)="stopPropagation($event)">
                <sqtm-core-toggle-icon
                  [active]="coverageTable.hasSelectedRows$ | async"
                  (clickedInActiveMode)="deleteCoverages()"
                >
                  <i
                    [attr.data-test-icon-id]="'remove-coverages'"
                    class="action-icon-size"
                    nz-icon
                    nzType="sqtm-core-generic:unlink"
                    nzTheme="outline"
                  >
                  </i>
                </sqtm-core-toggle-icon>
              </div>
            </div>
          }
        </ng-template>
        @if (
          componentData.testCase.kind !== 'GHERKIN' &&
          componentData.testCase.kind !== 'EXPLORATORY'
        ) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'parameters'"
            [sqtmCoreAnchorCollapsePanel]="'parameters'"
            [nzHeader]="datasetsTitle"
            sqtmCoreAnchorLastPanel
            [isEffectiveLastPanel]="componentData.testCase.kind === 'KEYWORD'"
          >
            <ng-template #datasetsTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.test-case-workspace.title.parameters' | translate
                }}
              </div>
            </ng-template>
            <sqtm-app-datasets-table></sqtm-app-datasets-table>
          </nz-collapse-panel>
        }
        @if (componentData.testCase.kind === 'STANDARD') {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'called-test-cases'"
            [sqtmCoreAnchorCollapsePanel]="'called-test-cases'"
            sqtmCoreAnchorLastPanel
            [nzHeader]="calledTitle"
          >
            <ng-template #calledTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.test-case-workspace.title.called-steps' | translate
                }}
              </div>
            </ng-template>
            <sqtm-app-called-test-case></sqtm-app-called-test-case>
          </nz-collapse-panel>
        }
      </nz-collapse>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
